import React from 'react';
import { EditorView } from '@codemirror/view';
import { Extension } from '@codemirror/state';
import { CodeMirrorOnChange } from '@ui-schema/kit-codemirror/useCodeMirror';
export interface CodeMirrorComponentProps {
    onChange?: CodeMirrorOnChange;
    value?: string;
    extensions?: Extension[];
    classNamesContent?: string[];
    effects?: ((editor: EditorView) => void)[];
    style?: React.CSSProperties;
}
export interface CodeMirrorProps extends CodeMirrorComponentProps {
    onViewLifecycle?: (editor: EditorView | undefined) => void;
    className?: string;
}
export declare const CodeMirror: React.FC<CodeMirrorProps>;
