import React from 'react';
import { EditorView, ViewUpdate } from '@codemirror/view';
import { Extension } from '@codemirror/state';
export declare type CodeMirrorOnChange = (view: ViewUpdate, nextValue: string | undefined, prevValue: string | undefined) => void;
export declare type CodeMirrorOnExternalChange = (editor: EditorView, nextValue: string, prevValue: string) => void;
export declare const useCodeMirror: (containerRef: React.MutableRefObject<HTMLDivElement | null>, onChange?: CodeMirrorOnChange, value?: string, extensions?: Extension[], effects?: ((editor: EditorView) => void)[] | undefined, onExternalChange?: CodeMirrorOnExternalChange) => EditorView;
